> ## Documentation Index
> Fetch the complete documentation index at: https://docs.saalal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Show Card



## OpenAPI

````yaml get /cards/{reference}
openapi: 3.1.0
info:
  title: ALAL APIs
  version: 1.0.0
servers:
  - url: https://api.sandbox.saalal.com/v1
security: []
tags:
  - name: Cards
  - name: Transactions
  - name: CardUsers
  - name: Disputes
paths:
  /cards/{reference}:
    get:
      tags:
        - Cards
      summary: Show Card
      parameters:
        - name: Accept
          in: header
          schema:
            type: string
          example: application/json
      responses:
        '200':
          description: OK
          headers:
            Server:
              schema:
                type: string
                example: nginx
            Date:
              schema:
                type: string
                example: Sun, 18 Jun 2023 20:35:41 GMT
            Connection:
              schema:
                type: string
                example: close
            X-Powered-By:
              schema:
                type: string
                example: PHP/8.2.4
            Cache-Control:
              schema:
                type: string
                example: no-cache, private
            Content-Type:
              schema:
                type: string
                example: application/json
            X-RateLimit-Limit:
              schema:
                type: integer
                example: '60'
            X-RateLimit-Remaining:
              schema:
                type: integer
                example: '59'
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: '*'
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: OK
                  statusCode:
                    type: integer
                    example: 200
                  data:
                    properties:
                      reference:
                        type: string
                        example: 792c6cf2-f5cf-46c8-bf8c-699a9028010e
                      balance:
                        type: integer
                        example: 1000
                      last_four:
                        type: string
                        example: '1987'
                      status:
                        type: string
                        example: issued
                      card_type:
                        type: string
                        example: Visa
                      card_brand:
                        type: string
                        example: physical
              example:
                message: OK
                statusCode: 200
                data:
                  card:
                    reference: db408374-0a25-497f-b9b3-45b16c110812
                    card_number: null
                    card_brand: Visa
                    card_type: virtual
                    cvv2: null
                    expiry: null
                    balance: 1000
                    status: 1000
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````